Skip to main content
`Ctrl`+`K`

# validate

astropy.wcs.validate(source)

  Prints a WCS validation report for the given FITS file.

  Parameters:
    source `python:str` or python:file-like object or `HDUList`

      The FITS file to validate.

  Returns:
    results `python:list` subclass instance

      The result is returned as nested lists. The first level corresponds to the HDUs in the given file. The next level has an entry for each WCS found in that header. The special subclass of list will pretty-print the results as a table when printed.